Introduction
Welcome to the SAReye API! You can use our API to access SAReye API endpoints, which can get information on various items in our database.
We have language bindings in Shell, and JavaScript! You can view code examples in the dark area to the right, and you can switch the programming language of the examples with the tabs in the top right.
Authentication
SAReye uses API keys to allow access to the API. You can register for a new API key at your user setup page http://{your_tenants_subdomain}.sardynamics.com/users
SAReye expects for the API key to be included in all API requests to the server in a header that looks like the following:
Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e
Areas
Get All Areas
curl "https://api.sardynamics.com/areas.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"name": "01",
"created_at": "2017-10-25T13:07:15.275Z",
"updated_at": "2017-12-04T14:18:52.782Z",
"disabled": false,
"json": null,
"description": "",
"lat": "64 54.500",
"lng": "-22 52.500",
"zoom": 8,
"has_polygon": false,
"id": "73f9ea82-1dde-5636-a139-ee0822c26726",
"tenant_id": "ecaf17fa-df8b-51e9-b370-9963438b1fb3"
},
{
"name": "02",
"created_at": "2017-10-25T13:07:15.283Z",
"updated_at": "2017-12-04T14:19:08.239Z",
"disabled": false,
"json": null,
"description": "",
"lat": "65 32.000",
"lng": "-23 04.000",
"zoom": 8,
"has_polygon": false,
"id": "614ec74c-2749-541a-ab68-e8ccc3da2b26",
"tenant_id": "ecaf17fa-df8b-51e9-b370-9963438b1fb3"
}
]
This endpoint retrieves all areas.
HTTP Request
GET https://api.sardynamics.com/areas.json
Get a Specific Area
curl "https://api.sardynamics.com/areas/abbe0983-7b75-53df-bc32-009b79d2c61e.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"name": "02",
"created_at": "2017-10-25T13:07:15.283Z",
"updated_at": "2017-12-04T14:19:08.239Z",
"disabled": false,
"json": null,
"description": "",
"lat": "65 32.000",
"lng": "-23 04.000",
"zoom": 8,
"has_polygon": false,
"id": "614ec74c-2749-541a-ab68-e8ccc3da2b26",
"tenant_id": "ecaf17fa-df8b-51e9-b370-9963438b1fb3"
}
This endpoint retrieves a specific area.
HTTP Request
GET https://api.sardynamics.com/areas/<ID>.json
URL Parameters
| Parameter | Description |
|---|---|
| ID | The ID of the area to retrieve |
Create a new area
HTTP request
POST https://api.sardynamics.com/areas
Parameters
| Key | Type | Description |
|---|---|---|
| name | String | Name of the area |
Update an existing area
HTTP request
PATCH/PUT https://api.sardynamics.com/areas/<ID>
Parameters
| Key | Type | Description |
|---|---|---|
| name | String | Name of the area |
| active | Boolean | |
| description | String | |
| lat | String | |
| lng | String | |
| zoom | Integer |
Delete a Specific Area
curl "https://api.sardynamics.com/areas/27522917-bb28-530e-979d-c4b77a335114.json"
-X DELETE
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
This endpoint deletes a specific area.
HTTP Request
DELETE https://api.sardynamics.com/areas/<ID>
URL Parameters
| Parameter | Description |
|---|---|
| ID | The ID of the area to delete |
Checklists
Get All Checklists for a specific operation
HTTP Request
GET https://api.sardynamics.com/operation/:operation_id/checklists.json
curl "https://api.sardynamics.com/operation/:operation_id/checklists.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "456603f6-dd71-4158-9b41-9451eb9301fe",
"name": "SÁBF - Björgun",
"description": "",
"template": false,
"round_id": "efc820f3-3a1c-4be6-87f2-89e8d8d08cc1",
"user_id": null,
"deleted": false,
"tenant_id": "ad9bf99e-ecce-4abb-be35-eb9a3b47a2da",
"created_at": "2019-09-19T15:22:25.136Z",
"updated_at": "2019-09-19T15:22:25.136Z",
"tasks": [{"..."}]
}
]
Courses
Getting a list of all Courses
HTTP Request
GET https://api.sardynamics.com/courses.json
curl "https://api.sardynamics.com/courses.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "7139c3ec-d15f-4af1-940b-dacd863e2a84",
"name": "Operation Management",
"description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
"days_valid": null,
"expires": true,
"disabled": false,
"tenant_id": "ad9bf99e-ecce-4abb-be35-eb9a3b47a2da",
"data": {
"type": "",
"field": "",
"price": "",
"program": "",
"minimum_age": "18"
},
"created_at": "2019-04-19T11:38:26.377Z",
"updated_at": "2019-04-19T11:38:26.377Z",
"tag_id": "ddee449f-23dc-46f6-abba-33d1a98922d7"
},
{
"id": "d23bd5ca-fab1-503a-bb0a-726d565ad562",
"name": "First Response",
"description": "",
"days_valid": null,
"expires": false,
"disabled": false,
"tenant_id": "ad9bf99e-ecce-4abb-be35-eb9a3b47a2da",
"data": {
"type": "",
"field": "",
"price": "",
"program": "",
"minimum_age": ""
},
"created_at": "2019-04-19T12:51:18.310Z",
"updated_at": "2019-04-19T12:51:18.310Z",
"tag_id": "80b253e0-a9f1-4d0d-9c3a-97022b9e3e9f"
}
]
Create a new course
HTTP request
POST https://api.sardynamics.com/courses
Parameters
| Key | Type | Description |
|---|---|---|
| days_valid | ||
| description | ||
| disabled | ||
| expires | ||
| field | ||
| minimum_age | ||
| price | ||
| program | ||
| tag_id | ||
| type | ||
| name | ||
| prerequisite_ids | Array(String(UUID)) |
Update an existing course
HTTP request
PATCH/PUT https://api.sardynamics.com/courses/<ID>
Parameters
| Key | Type | Description |
|---|---|---|
| ID | String(UUID) | The id of the course to update |
| days_valid | ||
| description | ||
| disabled | ||
| expires | ||
| field | ||
| minimum_age | ||
| price | ||
| program | ||
| tag_id | ||
| type | ||
| name | ||
| prerequisite_ids | Array(String(UUID)) |
Get a Specific Course
curl "https://api.sardynamics.com/courses/7139c3ec-d15f-4af1-940b-dacd863e2a84.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"id": "7139c3ec-d15f-4af1-940b-dacd863e2a84",
"name": "Operation Management",
"description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
"days_valid": null,
"expires": true,
"disabled": false,
"tenant_id": "ad9bf99e-ecce-4abb-be35-eb9a3b47a2da",
"data": {
"type": "",
"field": "",
"price": "",
"program": "",
"minimum_age": "18"
},
"created_at": "2019-04-19T11:38:26.377Z",
"updated_at": "2019-04-19T11:38:26.377Z",
"tag_id": "ddee449f-23dc-46f6-abba-33d1a98922d7"
},
This endpoint retrieves a specific course.
HTTP Request
GET https://api.sardynamics.com/courses/<ID>.json
URL Parameters
| Parameter | Description |
|---|---|
| ID | The ID of the course to retrieve |
Devices
Get All Devices
Available Parameters
| Key | Type | Description |
|---|---|---|
| search | String | Search String |
| page | String | Devices are paginated, 20 per page |
HTTP Request
GET https://api.sardynamics.com/devices.json
curl "https://api.sardynamics.com/devices.json?page=1"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"identifier": "00001",
"name": "Fire Truck 21",
"created_at": "2018-11-24T15:32:57.690Z",
"updated_at": "2018-11-24T15:32:57.690Z",
"phone_number": "",
"device_info": {
"url": "",
"url_description": "",
"device_type": "Fire Truck"
},
"device_type": "Fire Truck",
"tetra": "",
"inactive": false,
"id": "c88e1a75-1fd6-4b7a-86ed-273cfe14d88a",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "f747ddfa-c6a2-444d-ba9e-f849ea7a5bea",
"deleted": false,
"inactive_unit": false,
"type": "Device"
}
]
Dispatch Groups
Get All Dispatch Groups
HTTP Request
GET https://api.sardynamics.com/dispatch_groups.json
curl "https://api.sardynamics.com/dispatch_groups.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"name": "Division",
"created_at": "2019-08-07T11:31:52.836Z",
"updated_at": "2019-08-07T11:31:52.836Z",
"id": "1229b512-ce0d-4082-aa42-d241ad65566b",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "f747ddfa-c6a2-444d-ba9e-f849ea7a5bea",
"resources_count": 2,
"resources": [
{
"identifier": "00001",
"name": "Fire Truck 21",
"created_at": "2018-11-24T15:32:57.690Z",
"updated_at": "2018-11-24T15:32:57.690Z",
"phone_number": "",
"on_call": null,
"vehicle": null,
"device_info": {
"url": "",
"url_description": "",
"device_type": "Fire Truck"
},
"year": null,
"last_time_in_operation": null,
"latest_operation_name": null,
"device_type": "Fire Truck",
"tetra": "",
"inactive": false,
"id": "c88e1a75-1fd6-4b7a-86ed-273cfe14d88a",
"email": null,
"phone_number_area_code": null,
"call_id": null,
"custodian_id": null,
"latest_operation_id": null,
"tenant_user_id": null,
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "f747ddfa-c6a2-444d-ba9e-f849ea7a5bea",
"watch_id": null,
"deleted": false,
"inactive_unit": false
},
{
"identifier": "demo",
"name": "Jane Doe",
"created_at": "2018-10-13T16:35:35.460Z",
"updated_at": "2018-11-27T17:41:34.569Z",
"phone_number": "91844161",
"on_call": null,
"vehicle": null,
"device_info": "{}",
"year": null,
"last_time_in_operation": null,
"latest_operation_name": null,
"device_type": null,
"tetra": "",
"inactive": false,
"id": "441d7391-e14c-4701-bf65-f557dc9593b7",
"email": "info@sareye.com",
"phone_number_area_code": "+45",
"call_id": null,
"custodian_id": null,
"latest_operation_id": null,
"tenant_user_id": "c389fa22-8fa1-4b3d-9c55-ab80f894c120",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "f747ddfa-c6a2-444d-ba9e-f849ea7a5bea",
"watch_id": null,
"deleted": false,
"inactive_unit": false
}
]
},
{
"name": "Emergency Headquarters",
"created_at": "2019-08-07T11:32:11.016Z",
"updated_at": "2019-08-07T11:32:11.016Z",
"id": "71526340-2352-453f-b7a5-e1eb89f78e5b",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "8b8a9aa6-681f-4a98-9c8f-81d3ced87c09",
"resources_count": 1,
"resources": [
{
"identifier": "demo1",
"name": "John Doe",
"created_at": "2018-11-24T13:59:17.553Z",
"updated_at": "2019-08-07T11:29:57.044Z",
"phone_number": "(555) 1234 1234",
"on_call": null,
"vehicle": null,
"device_info": "{}",
"year": null,
"last_time_in_operation": null,
"latest_operation_name": null,
"device_type": null,
"tetra": "",
"inactive": false,
"id": "ef906f9c-c1d3-4da7-801b-9bd192438962",
"email": "info@sareye.com",
"phone_number_area_code": "+354",
"call_id": null,
"custodian_id": null,
"latest_operation_id": null,
"tenant_user_id": "4245bd51-df24-47d4-b9e5-541add586eec",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "8b8a9aa6-681f-4a98-9c8f-81d3ced87c09",
"watch_id": null,
"deleted": false,
"inactive_unit": false
}
]
}
]
Dispatch Response Types
Get All Dispatch Response Types
HTTP Request
GET https://api.sardynamics.com/dispatch_response_types.json
curl "https://api.sardynamics.com/dispatch_response_types.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "47a9aa18-f574-4a78-901c-20e3bb28975b",
"name": "Can attend",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"deleted": false,
"require_time": true,
"created_at": "2018-11-24T09:39:40.612Z",
"updated_at": "2018-11-24T09:39:40.612Z"
},
{
"id": "54957e36-84dc-48f0-be07-7082f4f7a7aa",
"name": "Can not attend",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"deleted": false,
"require_time": false,
"created_at": "2018-11-24T09:40:00.546Z",
"updated_at": "2018-11-24T09:40:00.546Z"
},
{
"id": "91b4705d-c15a-46d0-bac5-66236ad58727",
"name": "Will attend",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"deleted": false,
"require_time": true,
"created_at": "2018-11-24T09:39:18.026Z",
"updated_at": "2018-11-24T09:39:18.026Z"
}
]
Dispatch Responses
Get All Dispatch Responses
HTTP Request
GET https://api.sardynamics.com/dispatch_responses.json
curl "https://api.sardynamics.com/dispatch_responses.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"dispatch_responses": [
{
"id": "f861e944-da5c-5b80-9ce6-9d90d1b4a135",
"resource_id": "3b5e1861-8e33-59d7-95fe-fc677b399db7",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"dispatch_group_id": null,
"operation_id": null,
"dispatch_response_type_id": "91b4705d-c15a-46d0-bac5-66236ad58727",
"time": "2019-09-11T15:32:00.000Z",
"created_at": "2019-09-11T15:32:28.840Z",
"updated_at": "2019-09-11T15:32:28.840Z",
"resource": {
"name": "John Smith",
"unit_id": "39771f3d-eacc-534f-a50f-85cb1b76da56",
"unit": {
"name": "Command Center"
}
}
}
],
"dispatch_response_types": [
{
"id": "47a9aa18-f574-4a78-901c-20e3bb28975b",
"name": "Can attend",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"deleted": false,
"require_time": true,
"created_at": "2018-11-24T09:39:40.612Z",
"updated_at": "2018-11-24T09:39:40.612Z"
},
{
"id": "54957e36-84dc-48f0-be07-7082f4f7a7aa",
"name": "Can not attend",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"deleted": false,
"require_time": false,
"created_at": "2018-11-24T09:40:00.546Z",
"updated_at": "2018-11-24T09:40:00.546Z"
},
{
"id": "91b4705d-c15a-46d0-bac5-66236ad58727",
"name": "Will attend",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"deleted": false,
"require_time": true,
"created_at": "2018-11-24T09:39:18.026Z",
"updated_at": "2018-11-24T09:39:18.026Z"
}
]
}
Dispatches
Getting a list of all Dispatches
HTTP Request
GET https://api.sardynamics.com/dispatches.json
curl "https://api.sardynamics.com/dispatches.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "f8fd787c-b350-41f8-b11a-28f40c6c964d",
"message": "First responders needed for wilderness rescue.",
"operation_id": "d6af1803-5020-4326-bcf3-017c55ea1ed6",
"tenant_id": "44a577f8-85b4-4f9f-8ad2-3cb86b983509",
"priority_id": "d1f09aed-e591-4a33-85cf-0f7649ed9805",
"user_id": "94a15900-7fe4-4a44-b850-02d66f274485",
"created_at": "2019-09-11T11:20:53.253Z",
"updated_at": "2019-09-11T11:20:53.253Z",
"resources_count": 41
},
{
"id": "bbc9580e-fdfd-41f7-ac96-dee91131f64d",
"message": "Operation managers needed in Control Center",
"operation_id": "d6af1803-5020-4326-bcf3-017c55ea1ed6",
"tenant_id": "44a577f8-85b4-4f9f-8ad2-3cb86b983509",
"priority_id": "fe48fc85-603f-4841-bd03-8d760cc7553d",
"user_id": "94a15900-7fe4-4a44-b850-02d66f274485",
"created_at": "2019-09-11T11:16:29.958Z",
"updated_at": "2019-09-11T11:16:29.958Z",
"resources_count": 3
}
]
Groups
Getting a list of all Groups for a given operation
HTTP Request
GET https://api.sardynamics.com/groups.json?operation_id=:operation_id
Available Parameters
| Key | Type | Description |
|---|---|---|
| operation_id | Integer | Optional filter by operation |
| include_attachments | Boolean | Return attachments in the response |
| include_operation_lite | Boolean | Include operation name and id in the response |
| include_resources | Boolean | Return resources in the response |
| include_tasks | Boolean | Return tasks in the response |
| hide_inactive_groups | Boolean | Hide inactive groups(default: false) |
| filter | String | Optional search query |
curl "https://api.sardynamics.com/operation_logs.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"users_active_group": [],
"data": [
{
"name": "Incident managers",
"number": 0,
"created_at": "2018-11-24T14:04:30.817Z",
"updated_at": "2018-11-24T14:04:31.097Z",
"deleted": false,
"newest": null,
"common_id": null,
"file": {
"url": null,
"thumb": {
"url": null
}
},
"group_leader": null,
"extra": 0,
"tetra": null,
"number_of_vehicles": 0,
"has_tasks": false,
"can_have_tasks": true,
"operational": true,
"data": {
"device": "true",
"tasks_j": [],
"attachments_count": null,
"creator_resource_j": {
"identifier": "123456",
"name": "Demo User",
"created_at": "2018-11-24T13:59:17.553Z",
"updated_at": "2018-11-24T13:59:45.037Z",
"phone_number": "(555) 1234 1234",
"device_info": "{}",
"tetra": "",
"inactive": false,
"id": "ef906f9c-c1d3-4da7-801b-9bd192438962",
"email": "example@sareye.com",
"phone_number_area_code": "+1",
"tenant_user_id": "4245bd51-df24-47d4-b9e5-541add586eec",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "8b8a9aa6-681f-4a98-9c8f-81d3ced87c09",
"deleted": false,
"inactive_unit": false,
"unit": {
"name": "Emergency Headquarters",
"call_sign": "HQ"
},
"tenant": {
"abbreviation": "demo",
"id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
}
},
"custom_values": {},
"id": "a10e605f-4bb6-4c83-8fc3-eea25d3863f3",
"creator_resource_id": "ef906f9c-c1d3-4da7-801b-9bd192438962",
"creator_tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"operation_id": "bd241c9d-38e6-4e44-8a0a-df53b9e3bb92",
"user_id": "d428602f-f854-4a8b-a259-bf0858a474cd",
"group_leader_uuid": null,
"group_leader_id": null,
"tags": []
},
{
"name": "Response group",
"number": 0,
"created_at": "2018-11-24T14:01:09.513Z",
"updated_at": "2018-11-24T14:03:12.834Z",
"deleted": false,
"newest": null,
"common_id": null,
"file": {
"url": null,
"thumb": {
"url": null
}
},
"group_leader": null,
"extra": 0,
"tetra": "",
"number_of_vehicles": 0,
"has_tasks": false,
"can_have_tasks": true,
"operational": true,
"data": {
"device": "true",
"tasks_j": [],
"attachments_count": null,
"creator_resource_j": {
"identifier": "1235678",
"name": "Demo User",
"created_at": "2018-11-24T13:59:17.553Z",
"updated_at": "2018-11-24T13:59:45.037Z",
"phone_number": "(555) 1234 1234",
"device_info": "{}",
"tetra": "",
"inactive": false,
"id": "ef906f9c-c1d3-4da7-801b-9bd192438962",
"email": "example@sareye.com",
"phone_number_area_code": "+1",
"tenant_user_id": "4245bd51-df24-47d4-b9e5-541add586eec",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "8b8a9aa6-681f-4a98-9c8f-81d3ced87c09",
"deleted": false,
"inactive_unit": false,
"unit": {
"name": "Emergency Headquarters",
"call_sign": "HQ"
},
"tenant": {
"abbreviation": "demo",
"id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
}
},
"custom_values": {},
"id": "04f3be24-d054-44e2-84a7-ff87e6dadf00",
"creator_resource_id": "ef906f9c-c1d3-4da7-801b-9bd192438962",
"creator_tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"operation_id": "bd241c9d-38e6-4e44-8a0a-df53b9e3bb92",
"user_id": "d428602f-f854-4a8b-a259-bf0858a474cd",
"group_leader_uuid": null,
"group_leader_id": null,
"tags": []
}
],
"operation_id": "bd241c9d-38e6-4e44-8a0a-df53b9e3bb92",
"active_groups_count": 2,
"last_response_timestamp": "2019-09-12T16:35:13.793+02:00",
"groups_count": 2
}
Issue Types
Get All Issue Types
HTTP Request
GET https://api.sardynamics.com/issue_types.json
curl "https://api.sardynamics.com/issue_types.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
Issues
Create a new issue
HTTP request
POST http://example.com/issues
Parameters
| Key | Type | Description |
|---|---|---|
| issue[name] | String | Short description of the issue |
| issue[description] | String | Explanation of the issue |
| issue[issue_type_id] | String (uuid) | Type of issue |
| issue[solved] | Boolean | Has the issue been solved or not |
| issue[anonymous] | Boolean | Post the issue anonymously |
| issue[unit_id] | String (uuid) | The unit responsible for the issue |
| issue[tag_ids][] | Array[String (uuid)] | Assigned tags |
| issue[assigned_resource_ids][] | Array[String (uuid)] | Resources that are assigned to investigate the issue |
| issue[affected_resource_ids][] | Array[String (uuid)] | Resources that are affected by the issue |
Delete a Specific Issue
curl "https://api.sardynamics.com/issues/27522917-bb28-530e-979d-c4b77a335114"
-X DELETE
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
This endpoint deletes a specific issue.
HTTP Request
DELETE http://example.com/issues/<ID>
URL Parameters
| Parameter | Description |
|---|---|
| ID | The ID of the issue to delete |
Get All Issues
Available Parameters
| Key | Type | Description |
|---|---|---|
| show_all | Boolean | If true - include completed/solved issues |
| search | String | Search String |
| page | String | Issues are paginated, 20 per page |
curl "https://api.sardynamics.com/issues.json?get_all=true&search=Lorem&page=1"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "aee23f75-ead3-5c15-853d-fb27a85ed512",
"name": "Lorem ipsum",
"description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
"issue_type_id": "ec79e69c-6720-54d0-84e2-bd700704763e",
"anonymous": false,
"solved": true,
"user_id": "a8e74080-e8cd-58e3-a881-cb98c4514547",
"creator_resource_id": "118f00e0-184f-5744-884b-657eb4b3c1ca",
"unit_id": "fb694644-ab61-5564-8f35-ce1d16012715",
"tenant_id": "48c47225-a6e2-5e66-a415-0a84f93a1808",
"created_at": "2019-09-09T17:59:40.655Z",
"updated_at": "2019-09-09T18:03:14.279Z",
"comments_count": 0
},
{
"id": "7dfbb5bc-7790-5b5d-af5e-28335b88aa12",
"name": "Lorem ipsum2",
"description": "Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
"issue_type_id": null,
"anonymous": false,
"solved": false,
"user_id": "4943e7bd-c292-53c6-91d2-dc9bb3ae2ea3",
"creator_resource_id": "d020fd3e-d385-55d9-88f7-0504b35336ef",
"unit_id": null,
"tenant_id": "e3968f1d-4c57-518d-8e5a-a924ad0e8029",
"created_at": "2019-08-26T13:15:37.321Z",
"updated_at": "2019-09-09T22:36:26.963Z",
"comments_count": 3
}
]
This endpoint retrieves all issues.
HTTP Request
GET https://api.sardynamics.com/issues.json
Get a Specific Issue
curl "https://api.sardynamics.com/issues/abbe0983-7b75-53df-bc32-009b79d2c61e"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"id": "aee23f75-ead3-5c15-853d-fb27a85ed512",
"name": "Lorem ipsum",
"description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
"issue_type_id": "ec79e69c-6720-54d0-84e2-bd700704763e",
"anonymous": false,
"solved": true,
"user_id": "a8e74080-e8cd-58e3-a881-cb98c4514547",
"creator_resource_id": "118f00e0-184f-5744-884b-657eb4b3c1ca",
"unit_id": "fb694644-ab61-5564-8f35-ce1d16012715",
"tenant_id": "48c47225-a6e2-5e66-a415-0a84f93a1808",
"created_at": "2019-09-09T17:59:40.655Z",
"updated_at": "2019-09-09T18:03:14.279Z",
"comments_count": 0
}
This endpoint retrieves a specific issue.
HTTP Request
GET http://example.com/issues/<ID>.json
URL Parameters
| Parameter | Description |
|---|---|
| ID | The ID of the issue to retrieve |
Update a Specific Issue
curl "https://api.sardynamics.com/issues/abbe0983-7b75-53df-bc32-009b79d2c61e"
-X PATCH
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"id": "bc2fa047-41ab-4847-9fdf-31e02d2b3e187",
"name": "Slippery stairs",
"description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
"issue_type_id": "f3129e67-9d93-4654-b250-b76bf5c95c53",
"anonymous": false,
"solved": false,
"user_id": "ga200aa8-374d-4c18-12d4-4c49f94a631d",
"creator_resource_id": "bfd26aa9-4a1c-45e0-af2h-8268b3b38b87",
"unit_id": "b333cb95-d1d2-47de-af2h-724518758073",
"tenant_id": "ad9bf99e-12gv-4abb-af2h-eb9a3b47a2da",
"created_at": "2019-09-09T17:59:40.655Z",
"updated_at": "2019-09-09T18:03:14.279Z",
"comments_count": 0
}
}
HTTP Request
PATCH http://example.com/issues/<ID>
Parameters
| Key | Type | Description |
|---|---|---|
| issue[name] | String | Short description of the issue |
| issue[description] | String | Explanation of the issue |
| issue[issue_type_id] | String (uuid) | Type of issue |
| issue[solved] | Boolean | Has the issue been solved or not |
| issue[anonymous] | Boolean | Post the issue anonymously |
| issue[unit_id] | String (uuid) | The unit responsible for the issue |
| issue[tag_ids][] | Array[String (uuid)] | Assigned tags |
| issue[assigned_resource_ids][] | Array[String (uuid)] | Resources that are assigned to investigate the issue |
| issue[affected_resource_ids][] | Array[String (uuid)] | Resources that are affected by the issue |
Kinds
Get All Kinds
HTTP Request
GET https://api.sardynamics.com/kinds.json
curl "https://api.sardynamics.com/kinds.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"name": "Aviation incident",
"disabled": null,
"created_at": "2018-10-13T16:34:17.604Z",
"updated_at": "2018-10-13T16:34:17.604Z",
"id": "a591a125-e5b9-4fd5-8179-17e52cf5ab14",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
{
"name": "Car accident",
"disabled": null,
"created_at": "2018-10-13T16:34:17.642Z",
"updated_at": "2018-10-13T16:34:17.642Z",
"id": "5cda40f4-b136-42a9-9eb7-3276717fe859",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
{
"name": "Disease",
"disabled": null,
"created_at": "2018-10-13T16:34:17.648Z",
"updated_at": "2018-10-13T16:34:17.648Z",
"id": "cc4584b2-caab-45a3-995d-b7aae378c7d1",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
{
"name": "Emergency assistance abroad",
"disabled": null,
"created_at": "2018-10-13T16:34:17.637Z",
"updated_at": "2018-10-13T16:34:17.637Z",
"id": "b66593ea-0d33-4cc8-80c3-0ae595d1b972",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
]
Leader Types
Get All Leader Types
HTTP Request
GET https://api.sardynamics.com/leader_types.json
curl "https://api.sardynamics.com/leader_types.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"name": "Finance",
"deleted": false,
"created_at": "2018-10-13T16:34:17.711Z",
"updated_at": "2018-11-24T09:41:47.570Z",
"id": "0deb1019-6788-4e9d-8628-c5902a2fbb06",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"manager_id": "0c291cc6-46c3-47b1-bce7-0321948bf116"
},
{
"name": "Incident Manager",
"deleted": false,
"created_at": "2018-10-13T16:34:17.694Z",
"updated_at": "2018-11-24T09:40:52.008Z",
"id": "0c291cc6-46c3-47b1-bce7-0321948bf116",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"manager_id": null
},
{
"name": "Media",
"deleted": null,
"created_at": "2018-10-13T16:34:17.721Z",
"updated_at": "2018-10-13T16:34:17.721Z",
"id": "a3f8ebb5-ba8e-4160-8073-5668da744ed5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"manager_id": null
},
{
"name": "Operations",
"deleted": false,
"created_at": "2018-10-13T16:34:17.706Z",
"updated_at": "2018-11-24T09:41:14.325Z",
"id": "85779f44-aa2c-4235-ac55-64e01ce49f50",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"manager_id": "0c291cc6-46c3-47b1-bce7-0321948bf116"
},
{
"name": "Planning",
"deleted": false,
"created_at": "2018-10-13T16:34:17.702Z",
"updated_at": "2018-11-24T09:41:28.429Z",
"id": "97abc723-78a0-46ac-93ac-08fa57c22f8d",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"manager_id": "0c291cc6-46c3-47b1-bce7-0321948bf116"
},
{
"name": "Resources",
"deleted": false,
"created_at": "2018-11-24T09:42:11.882Z",
"updated_at": "2018-11-24T09:42:11.882Z",
"id": "2ee2bd0a-285b-497f-9615-efd3dda5cb55",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"manager_id": "0c291cc6-46c3-47b1-bce7-0321948bf116"
},
{
"name": "Safety",
"deleted": null,
"created_at": "2018-10-13T16:34:17.716Z",
"updated_at": "2018-10-13T16:34:17.716Z",
"id": "77e30bed-0188-4b37-b70f-fd6050b8306f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"manager_id": null
}
]
Maintenances
Get All Maintenances
Available Parameters
| Key | Type | Description |
|---|---|---|
| show_all | Boolean | Default: false, If true - include completed maintenances |
HTTP Request
GET https://api.sardynamics.com/maintenances.json?get_all=true
curl "https://api.sardynamics.com/maintenances.json?get_all=true"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "1f72861d-e697-41fd-851e-67370f421b43",
"device_id": "c88e1a75-1fd6-4b7a-86ed-273cfe14d88a",
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"name": "Rear axle replacement",
"description": "",
"maintenance_date": "2019-08-07T11:26:00.000Z",
"reminder": false,
"reminder_date": "2019-08-07T11:26:00.000Z",
"created_at": "2019-08-07T11:26:53.681Z",
"updated_at": "2019-08-07T11:26:53.681Z",
"reminder_sent": false,
"completed": false,
"operation_id": null,
"resource_id": "ef906f9c-c1d3-4da7-801b-9bd192438962"
}
]
Manuals
Getting a list of all Manuals
HTTP Request
GET https://api.sardynamics.com/manuals.json
curl "https://api.sardynamics.com/manuals.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"items": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. ",
"created_at": "2013-09-30T21:46:10.446Z",
"updated_at": "2019-08-21T01:30:24.445Z",
"global": true,
"name": "First Checklist",
"deleted": null,
"link": "",
"id": "030f1ecf-ebc5-5431-b83b-dcb1dacd4966",
"operation_id": null,
"tenant_id": "c6c781db-65d3-5b20-9a96-08a4e5870566",
"user_id": "795c3d32-4c6d-5c27-b51b-ca249ceca6cc"
},
{
"items": "Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
"created_at": "2017-02-08T20:45:29.122Z",
"updated_at": "2017-02-08T20:55:02.882Z",
"global": null,
"name": "Second Checklist",
"deleted": null,
"link": null,
"id": "d34a25e5-390f-528c-bf95-9272af5b4409",
"operation_id": null,
"tenant_id": "2cf5285c-dadd-5fa2-a72f-dda5fcf666b3",
"user_id": "58cd8419-5ece-5209-9099-e31b9acb9e12"
}
]
Operation Logs
Getting a list of all Operation Logs
HTTP Request
GET https://api.sardynamics.com/operation_logs.json
Available Parameters
| Key | Type | Description |
|---|---|---|
| operation_id | Integer | Optional filter by operation |
| include_attachments | Boolean | Return attachments in the response |
| include_operation_lite | Boolean | Include operation name and id in the response |
curl "https://api.sardynamics.com/operation_logs.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"data": [
{
"text": "Extent of damage",
"marked": null,
"filename": null,
"created_at": "2019-08-12T13:45:40.022Z",
"updated_at": "2019-08-12T13:45:40.261Z",
"file": {
"url": null,
"thumb": {
"url": null
}
},
"deleted": false,
"lat": "",
"lng": "",
"log_time": "2019-08-12T13:44:07.000Z",
"pointtype": null,
"timeline": false,
"end_time": null,
"mobile": false,
"show_on_map": true,
"movement": null,
"url": {
"primary_url": "",
"primary_url_bitly": ""
},
"data": {
"radius": {
"value": "",
"unit": "m"
},
"user_j": {
"id": "f8976e89-92ec-57be-8753-3036297723c3",
"email": "john@gmail.com",
"name": "John Doe",
"phone_number": "12345678"
},
"tenant_j": {
"abbreviation": "SAReye"
},
"creator_resource_j": {
"identifier": "12345678",
"name": "John Doe",
"created_at": "2017-10-25T13:38:39.180Z",
"updated_at": "2019-01-22T20:55:07.312Z",
"phone_number": "1324567",
"device_info": "{}",
"tetra": "",
"inactive": false,
"id": "14f896cc-e19c-507c-9b30-24d4404b15db",
"email": "info@sareye.com",
"phone_number_area_code": "+354",
"tenant_user_id": "38c7bbea-5096-59be-97c4-5fa5c21ffc67",
"tenant_id": "0e292763-40f6-5a0b-a6aa-5befbba3830b",
"unit_id": "7b9c0670-5a5a-5e55-a452-a85fd2f2df0f",
"deleted": false,
"inactive_unit": false,
"unit": {
"name": "Incident Command Center",
"call_sign": "ICC"
},
"tenant": {
"abbreviation": "SAReye",
"id": "44a577f8-85b4-4f9f-8ad2-3cb86b983509"
}
},
"attachments_count": 1
},
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "fd68138f-8b64-48d2-9374-785b6f878ff6",
"creator_resource_id": "fe9b94bc-ac60-52a9-9183-9d31ac66738a",
"creator_tenant_id": "7f3dffc3-77c1-5210-8b84-241dec3241d8",
"equipment_id": null,
"marker_type_id": null,
"operation_id": "109a1f1e-e067-485d-ab10-e0d361b3f216",
"task_id": null,
"user_id": "ff57a58a-4568-50b9-baa5-33641e08742f",
"tags": [],
"user": {
"name": "John Doe",
"include_picture": {
"name": "image.png",
"path": "example.com/image.png",
"created_at": "2018-10-03T09:27:20.524Z",
"small": "example.com/small/image.png"
}
},
"creator_tenant": {
"theme_color": "#ff9300"
}
}
],
"operation_id": null,
"last_response_timestamp": "2019-09-12T16:06:55.305+02:00",
"oplogs_count": 1
}
Operation Scales
Get All Operation Scales
HTTP Request
GET https://api.sardynamics.com/operation_scales.json
curl "https://api.sardynamics.com/operation_scales.json?page=1"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"name": "Black",
"created_at": "2018-10-13T16:34:17.677Z",
"updated_at": "2018-10-13T16:34:17.677Z",
"disabled": false,
"background_color": "#000000",
"text_color": "#FFFFFF",
"id": "0695eebf-f6a4-4f50-a32b-50e1afcc497a",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
{
"name": "Green",
"created_at": "2018-10-13T16:34:17.658Z",
"updated_at": "2018-10-13T16:34:17.658Z",
"disabled": false,
"background_color": "#62c462",
"text_color": "#000000",
"id": "318d00bb-c933-4ecf-9689-63cb4034809c",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
{
"name": "Red",
"created_at": "2018-10-13T16:34:17.672Z",
"updated_at": "2018-10-13T16:34:17.672Z",
"disabled": false,
"background_color": "#FF5E5B",
"text_color": "#000000",
"id": "891d23f3-5920-493f-b575-0e949611ef99",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
{
"name": "Yellow",
"created_at": "2018-10-13T16:34:17.667Z",
"updated_at": "2018-10-13T16:34:17.667Z",
"disabled": false,
"background_color": "#FAFF5A",
"text_color": "#000000",
"id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
]
Operation Types
Get All Operation Types
HTTP Request
GET https://api.sardynamics.com/operation_types.json
curl "https://api.sardynamics.com/operation_types.json?page=1"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch",
"default_layout": "normal",
"restrict_to_unit_by_default": false,
"created_at": "2019-01-14T18:06:24.851Z",
"updated_at": "2019-01-30T15:16:37.803Z",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"show_on_frontpage": true,
"rank": 1,
"deleted": false
},
{
"id": "db66f430-270f-45fa-b3bc-3e03dfde1f26",
"name": "Meeting",
"default_layout": "meetingNotes",
"restrict_to_unit_by_default": false,
"created_at": "2019-01-14T18:06:24.858Z",
"updated_at": "2019-01-30T15:16:50.477Z",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"show_on_frontpage": true,
"rank": 2,
"deleted": false
},
{
"id": "21b0aac6-a337-4196-b577-6b9216aadd4e",
"name": "Exercise",
"default_layout": "normal",
"restrict_to_unit_by_default": false,
"created_at": "2019-01-14T18:06:24.853Z",
"updated_at": "2019-01-30T15:17:08.058Z",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"show_on_frontpage": true,
"rank": 3,
"deleted": false
}
]
Operation View History
Get All Operation Views
HTTP Request
GET https://api.sardynamics.com/operation_view_history.json
Available Parameters
| Key | Type | Description |
|---|---|---|
| start_date | String | Start Date |
| end_date | String | End Date |
| resource_id | String | id of the resource you want to look up (optional) |
| operation_id | String | id of the operation you want to look up (optional) |
curl "https://api.sardynamics.com/operation_view_history.json?page=1"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"created_at": "2019-09-02T13:54:46.073Z",
"updated_at": "2019-09-02T13:54:46.073Z",
"id": "1a9bc8ab-f49f-4430-bbff-b82f6ea47d31",
"operation_id": "bd241c9d-38e6-4e44-8a0a-df53b9e3bb92",
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"resource_id": "441d7391-e14c-4701-bf65-f557dc9593b7"
},
{
"created_at": "2019-09-02T13:51:32.214Z",
"updated_at": "2019-09-02T13:51:32.214Z",
"id": "18978ae3-3d06-489c-8015-5b5dc10e50a0",
"operation_id": "73222fec-c89b-45ef-9a5c-1ff64ccb0da2",
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"resource_id": "441d7391-e14c-4701-bf65-f557dc9593b7"
}
]
Operations
Getting a list of all Operations
HTTP Request
GET https://api.sardynamics.com/all_operations.json
Available Parameters
| Key | Type | Description |
|---|---|---|
| skip | Integer | How many operations to skip |
| take | Integer | How many operations to fetch |
| filter_operations | String | Search String |
| category_id | String | |
| call_level_id | String | |
| hide_finished | Boolean | |
| priority_id | String | |
| regarding_id | String | |
| scale_id | String | |
| show_hidden | Boolean | |
| get_all | Boolean | |
| operations_count | Integer | |
| begin_at | Date | DD-MM-YYYY |
| end_at | Date | DD-MM-YYYY |
| bounding_box | String | [[68.656,-21.521],[69.066,-18.249]] |
curl "https://api.sardynamics.com/all_operations.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"operations": [
{
"name": "Cave collapsed - people feared trapped",
"updated_at": "2019-08-29T07:20:36.188Z",
"visible": true,
"max_members": 0,
"started_at": "2019-08-05T09:52:00.000Z",
"number_of_coordinates": 0,
"lat": "0 02.390",
"lng": "32 26.805",
"data": {
"risks_j": [
{
"hazard": "Collapse hazard",
"who_might_be_harmed": null,
"risk_factor": 20,
"in_place": null,
"by_when": "2019-08-07T23:59:59.999Z",
"new_risk_assessment": 10,
"created_at": "2019-08-07T12:56:40.766Z",
"updated_at": "2019-08-07T12:56:40.777Z",
"action": "Working in caves",
"id": "ce944b42-cc62-4eff-b05c-9e0b18c03dfb",
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"risk_template_id": null
},
{
"hazard": "Loss of communications",
"who_might_be_harmed": null,
"risk_factor": 15,
"in_place": null,
"by_when": "2019-08-07T23:59:59.999Z",
"new_risk_assessment": 5,
"created_at": "2019-08-07T12:56:40.909Z",
"updated_at": "2019-08-07T12:56:41.005Z",
"action": "Communication",
"id": "57ece3a6-ece0-4647-8190-bb364f390a6e",
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"risk_template_id": null
},
{
"hazard": "Oxygen deprivation",
"who_might_be_harmed": null,
"risk_factor": 20,
"in_place": null,
"by_when": "2019-08-07T23:59:59.999Z",
"new_risk_assessment": 5,
"created_at": "2019-08-07T12:56:41.090Z",
"updated_at": "2019-08-07T12:56:41.272Z",
"action": "Working in caves",
"id": "bcad707d-444a-4be5-b901-7d74ae3c02ca",
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"risk_template_id": null
}
],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P1",
"created_at": "2018-10-13T16:34:17.517Z",
"updated_at": "2018-10-13T16:34:17.517Z",
"disabled": false,
"rank": 1,
"default": null,
"operation_priority": true,
"task_priority": true,
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"kind_j": {
"name": "Search and Rescue",
"disabled": null,
"created_at": "2018-11-24T13:09:52.950Z",
"updated_at": "2018-11-24T13:09:52.950Z",
"id": "47a01245-a88a-4b60-a2cf-da60915b958d",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "North",
"created_at": "2018-11-24T13:13:14.202Z",
"updated_at": "2019-08-05T12:11:54.243Z",
"disabled": false,
"json": null,
"description": "",
"lat": "0 02.390",
"lng": "32 26.805",
"zoom": 13,
"has_polygon": false,
"id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "closed",
"id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"kind_id": "47a01245-a88a-4b60-a2cf-da60915b958d",
"priority_id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Search and Rescue",
"id": "47a01245-a88a-4b60-a2cf-da60915b958d"
},
"priority": {
"name": "P1",
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f"
},
"dispatches": [
{
"id": "297ef783-7548-41d4-bf0d-e6b0b2b6b837",
"message": "First responders needed for wilderness rescue.",
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"priority_id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"user_id": "94a15900-7fe4-4a44-b850-02d66f274485",
"created_at": "2019-08-07T13:20:33.446Z",
"updated_at": "2019-08-07T13:20:33.446Z",
"resources_count": 1
}
],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"area": {
"name": "North",
"id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0"
},
"allowed_units": [],
"shared_operation_tenants": []
},
{
"name": "Earthquake response",
"updated_at": "2019-08-05T09:48:29.787Z",
"visible": true,
"max_members": 1,
"started_at": "2018-11-24T13:24:00.000Z",
"number_of_coordinates": 1,
"lat": "64 08.000",
"lng": "-21 56.000",
"data": {
"risks_j": [],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P1",
"created_at": "2018-10-13T16:34:17.517Z",
"updated_at": "2018-10-13T16:34:17.517Z",
"disabled": false,
"rank": 1,
"default": null,
"operation_priority": true,
"task_priority": true,
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"operation_scale_j": {
"name": "Black",
"created_at": "2018-10-13T16:34:17.677Z",
"updated_at": "2018-10-13T16:34:17.677Z",
"disabled": false,
"background_color": "#000000",
"text_color": "#FFFFFF",
"id": "0695eebf-f6a4-4f50-a32b-50e1afcc497a",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Natural disaster",
"disabled": null,
"created_at": "2018-10-13T16:34:17.618Z",
"updated_at": "2018-10-13T16:34:17.618Z",
"id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "South",
"created_at": "2018-11-24T13:13:04.962Z",
"updated_at": "2018-11-24T13:13:04.962Z",
"disabled": false,
"json": null,
"description": null,
"lat": null,
"lng": null,
"zoom": 10,
"has_polygon": false,
"id": "99d9e1d8-7f2a-4643-8982-e64615c314f4",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "open",
"id": "bd241c9d-38e6-4e44-8a0a-df53b9e3bb92",
"kind_id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d",
"operation_scale_id": "0695eebf-f6a4-4f50-a32b-50e1afcc497a",
"priority_id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "99d9e1d8-7f2a-4643-8982-e64615c314f4",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Natural disaster",
"id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d"
},
"priority": {
"name": "P1",
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Black",
"background_color": "#000000",
"text_color": "#FFFFFF",
"id": "0695eebf-f6a4-4f50-a32b-50e1afcc497a"
},
"area": {
"name": "South",
"id": "99d9e1d8-7f2a-4643-8982-e64615c314f4"
},
"allowed_units": [],
"shared_operation_tenants": []
},
{
"name": "Hazmat response",
"updated_at": "2018-11-24T13:22:05.066Z",
"visible": true,
"max_members": 0,
"started_at": "2018-11-24T13:06:00.000Z",
"number_of_coordinates": 0,
"lat": "64 08.000",
"lng": "-21 56.000",
"data": {
"risks_j": [],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P2",
"created_at": "2018-10-13T16:34:17.524Z",
"updated_at": "2018-10-13T16:34:17.524Z",
"disabled": false,
"rank": 2,
"default": true,
"operation_priority": true,
"task_priority": true,
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"operation_scale_j": {
"name": "Red",
"created_at": "2018-10-13T16:34:17.672Z",
"updated_at": "2018-10-13T16:34:17.672Z",
"disabled": false,
"background_color": "#FF5E5B",
"text_color": "#000000",
"id": "891d23f3-5920-493f-b575-0e949611ef99",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Man made disaster",
"disabled": null,
"created_at": "2018-11-24T13:07:37.829Z",
"updated_at": "2018-11-24T13:07:37.829Z",
"id": "27569411-8d96-4f83-ac46-61145e3794fd",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "East",
"created_at": "2018-11-24T13:11:59.436Z",
"updated_at": "2018-11-24T13:11:59.436Z",
"disabled": false,
"json": null,
"description": null,
"lat": null,
"lng": null,
"zoom": 10,
"has_polygon": false,
"id": "906006ae-7c44-428f-8312-df243294bad7",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "open",
"id": "b7aedf3d-9a58-48d1-b820-6f8043fcffbd",
"kind_id": "27569411-8d96-4f83-ac46-61145e3794fd",
"operation_scale_id": "891d23f3-5920-493f-b575-0e949611ef99",
"priority_id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "906006ae-7c44-428f-8312-df243294bad7",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Man made disaster",
"id": "27569411-8d96-4f83-ac46-61145e3794fd"
},
"priority": {
"name": "P2",
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Red",
"background_color": "#FF5E5B",
"text_color": "#000000",
"id": "891d23f3-5920-493f-b575-0e949611ef99"
},
"area": {
"name": "East",
"id": "906006ae-7c44-428f-8312-df243294bad7"
},
"allowed_units": [],
"shared_operation_tenants": []
},
{
"name": "Flash flood",
"updated_at": "2019-08-12T13:45:40.293Z",
"visible": true,
"max_members": 0,
"started_at": "2018-11-24T11:27:00.000Z",
"number_of_coordinates": 1,
"lat": "64 08.000",
"lng": "-21 56.000",
"data": {
"risks_j": [],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P2",
"created_at": "2018-10-13T16:34:17.524Z",
"updated_at": "2018-10-13T16:34:17.524Z",
"disabled": false,
"rank": 2,
"default": true,
"operation_priority": true,
"task_priority": true,
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"operation_scale_j": {
"name": "Yellow",
"created_at": "2018-10-13T16:34:17.667Z",
"updated_at": "2018-10-13T16:34:17.667Z",
"disabled": false,
"background_color": "#FAFF5A",
"text_color": "#000000",
"id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Natural disaster",
"disabled": null,
"created_at": "2018-10-13T16:34:17.618Z",
"updated_at": "2018-10-13T16:34:17.618Z",
"id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "North",
"created_at": "2018-11-24T13:13:14.202Z",
"updated_at": "2019-08-05T12:11:54.243Z",
"disabled": false,
"json": null,
"description": "",
"lat": "0 02.390",
"lng": "32 26.805",
"zoom": 13,
"has_polygon": false,
"id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "open",
"id": "109a1f1e-e067-485d-ab10-e0d361b3f216",
"kind_id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d",
"operation_scale_id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0",
"priority_id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Natural disaster",
"id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d"
},
"priority": {
"name": "P2",
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Yellow",
"background_color": "#FAFF5A",
"text_color": "#000000",
"id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0"
},
"area": {
"name": "North",
"id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0"
},
"allowed_units": [],
"shared_operation_tenants": []
},
{
"name": "Search for missing hiker",
"updated_at": "2019-08-07T12:06:35.557Z",
"visible": true,
"max_members": 0,
"started_at": "2018-11-12T22:26:00.000Z",
"number_of_coordinates": -4,
"lat": "64 08.000",
"lng": "-21 56.000",
"data": {
"risks_j": [],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P1",
"created_at": "2018-10-13T16:34:17.517Z",
"updated_at": "2018-10-13T16:34:17.517Z",
"disabled": false,
"rank": 1,
"default": null,
"operation_priority": true,
"task_priority": true,
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"operation_scale_j": {
"name": "Green",
"created_at": "2018-10-13T16:34:17.658Z",
"updated_at": "2018-10-13T16:34:17.658Z",
"disabled": false,
"background_color": "#62c462",
"text_color": "#000000",
"id": "318d00bb-c933-4ecf-9689-63cb4034809c",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Search and Rescue",
"disabled": null,
"created_at": "2018-11-24T13:09:52.950Z",
"updated_at": "2018-11-24T13:09:52.950Z",
"id": "47a01245-a88a-4b60-a2cf-da60915b958d",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "South",
"created_at": "2018-11-24T13:13:04.962Z",
"updated_at": "2019-08-05T12:11:57.934Z",
"disabled": false,
"json": null,
"description": "",
"lat": "0 02.390",
"lng": "32 26.805",
"zoom": 13,
"has_polygon": false,
"id": "99d9e1d8-7f2a-4643-8982-e64615c314f4",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "open",
"id": "79d077ef-9eed-49d4-8001-75c36bbea675",
"kind_id": "47a01245-a88a-4b60-a2cf-da60915b958d",
"operation_scale_id": "318d00bb-c933-4ecf-9689-63cb4034809c",
"priority_id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "99d9e1d8-7f2a-4643-8982-e64615c314f4",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Search and Rescue",
"id": "47a01245-a88a-4b60-a2cf-da60915b958d"
},
"priority": {
"name": "P1",
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Green",
"background_color": "#62c462",
"text_color": "#000000",
"id": "318d00bb-c933-4ecf-9689-63cb4034809c"
},
"area": {
"name": "South",
"id": "99d9e1d8-7f2a-4643-8982-e64615c314f4"
},
"allowed_units": [],
"shared_operation_tenants": []
},
{
"name": "Blackout in Kópasker",
"updated_at": "2019-08-07T11:34:11.888Z",
"visible": true,
"max_members": 0,
"started_at": "2018-10-24T23:58:00.000Z",
"number_of_coordinates": 0,
"lat": "0 02.390",
"lng": "32 26.805",
"data": {
"risks_j": [],
"shared_operation_tenants_j": [],
"area_j": {
"name": "East",
"created_at": "2018-11-24T13:11:59.436Z",
"updated_at": "2019-08-05T12:11:50.028Z",
"disabled": false,
"json": null,
"description": "",
"lat": "0 02.390",
"lng": "32 26.805",
"zoom": 13,
"has_polygon": false,
"id": "906006ae-7c44-428f-8312-df243294bad7",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"priority_j": {
"name": "P1",
"created_at": "2018-10-13T16:34:17.517Z",
"updated_at": "2018-10-13T16:34:17.517Z",
"disabled": false,
"rank": 1,
"default": null,
"operation_priority": true,
"task_priority": true,
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"operation_scale_j": {
"name": "Yellow",
"created_at": "2018-10-13T16:34:17.667Z",
"updated_at": "2018-10-13T16:34:17.667Z",
"disabled": false,
"background_color": "#FAFF5A",
"text_color": "#000000",
"id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Man made disaster",
"disabled": null,
"created_at": "2018-11-24T13:07:37.829Z",
"updated_at": "2018-11-24T13:07:37.829Z",
"id": "27569411-8d96-4f83-ac46-61145e3794fd",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "closed",
"id": "d31a94bf-af6b-4447-b74e-c191304ad09b",
"creator_resource_id": "162f2599-caed-43a8-9e51-8dac10017523",
"kind_id": "27569411-8d96-4f83-ac46-61145e3794fd",
"operation_scale_id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0",
"priority_id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "906006ae-7c44-428f-8312-df243294bad7",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Man made disaster",
"id": "27569411-8d96-4f83-ac46-61145e3794fd"
},
"priority": {
"name": "P1",
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Yellow",
"background_color": "#FAFF5A",
"text_color": "#000000",
"id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0"
},
"area": {
"name": "East",
"id": "906006ae-7c44-428f-8312-df243294bad7"
},
"allowed_units": [],
"creator_resource": {
"identifier": "1401683949",
"name": "John Doe",
"created_at": "2017-10-25T13:38:39.180Z",
"updated_at": "2019-01-22T20:55:07.312Z",
"phone_number": "6954555",
"on_call": null,
"vehicle": null,
"device_info": "{}",
"year": null,
"last_time_in_operation": null,
"latest_operation_name": null,
"device_type": null,
"tetra": "",
"inactive": false,
"id": "162f2599-caed-43a8-9e51-8dac10017523",
"email": "brandur@sareye.com",
"phone_number_area_code": "+354",
"call_id": null,
"custodian_id": null,
"latest_operation_id": null,
"tenant_user_id": "55860fb9-06a3-4495-a096-8d17d3534827",
"tenant_id": "44a577f8-85b4-4f9f-8ad2-3cb86b983509",
"unit_id": "433b3ae5-351c-479b-bcfc-7cb2bd4679fc",
"watch_id": null,
"deleted": false,
"inactive_unit": false
},
"shared_operation_tenants": []
},
{
"name": "Engine Room Fire aboard Towing Vessel",
"updated_at": "2019-08-07T12:46:39.814Z",
"visible": true,
"max_members": 0,
"started_at": "2018-10-14T19:16:00.000Z",
"number_of_coordinates": 1,
"lat": "64 08.000",
"lng": "-21 56.000",
"data": {
"device": "true",
"risks_j": [],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P2",
"created_at": "2018-10-13T16:34:17.524Z",
"updated_at": "2018-10-13T16:34:17.524Z",
"disabled": false,
"rank": 2,
"default": true,
"operation_priority": true,
"task_priority": true,
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"operation_scale_j": {
"name": "Yellow",
"created_at": "2018-10-13T16:34:17.667Z",
"updated_at": "2018-10-13T16:34:17.667Z",
"disabled": false,
"background_color": "#FAFF5A",
"text_color": "#000000",
"id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Maritime incident",
"disabled": null,
"created_at": "2018-10-13T16:34:17.614Z",
"updated_at": "2018-10-13T16:34:17.614Z",
"id": "e64c3b06-5bf5-402f-9200-93c460de2039",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "West",
"created_at": "2018-11-24T13:12:04.150Z",
"updated_at": "2019-08-05T12:12:01.165Z",
"disabled": false,
"json": null,
"description": "",
"lat": "0 02.390",
"lng": "32 26.805",
"zoom": 13,
"has_polygon": false,
"id": "ad77b9a2-77c6-43b3-a33b-4feabfcfcd7e",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "open",
"id": "73222fec-c89b-45ef-9a5c-1ff64ccb0da2",
"kind_id": "e64c3b06-5bf5-402f-9200-93c460de2039",
"operation_scale_id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0",
"priority_id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "ad77b9a2-77c6-43b3-a33b-4feabfcfcd7e",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Maritime incident",
"id": "e64c3b06-5bf5-402f-9200-93c460de2039"
},
"priority": {
"name": "P2",
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Yellow",
"background_color": "#FAFF5A",
"text_color": "#000000",
"id": "25a2fe8f-c9d5-4894-b258-bd2bf245cfe0"
},
"area": {
"name": "West",
"id": "ad77b9a2-77c6-43b3-a33b-4feabfcfcd7e"
},
"allowed_units": [],
"shared_operation_tenants": []
},
{
"name": "Search for a missing plane",
"updated_at": "2019-08-05T12:12:42.363Z",
"visible": true,
"max_members": 0,
"started_at": "2018-10-14T19:13:00.000Z",
"number_of_coordinates": 0,
"lat": "0 02.405",
"lng": "32 26.774",
"data": {
"device": "true",
"risks_j": [],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P2",
"created_at": "2018-10-13T16:34:17.524Z",
"updated_at": "2018-10-13T16:34:17.524Z",
"disabled": false,
"rank": 2,
"default": true,
"operation_priority": true,
"task_priority": true,
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"operation_scale_j": {
"name": "Red",
"created_at": "2018-10-13T16:34:17.672Z",
"updated_at": "2018-10-13T16:34:17.672Z",
"disabled": false,
"background_color": "#FF5E5B",
"text_color": "#000000",
"id": "891d23f3-5920-493f-b575-0e949611ef99",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Aviation incident",
"disabled": null,
"created_at": "2018-10-13T16:34:17.604Z",
"updated_at": "2018-10-13T16:34:17.604Z",
"id": "a591a125-e5b9-4fd5-8179-17e52cf5ab14",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "East",
"created_at": "2018-11-24T13:11:59.436Z",
"updated_at": "2019-08-05T12:11:50.028Z",
"disabled": false,
"json": null,
"description": "",
"lat": "0 02.390",
"lng": "32 26.805",
"zoom": 13,
"has_polygon": false,
"id": "906006ae-7c44-428f-8312-df243294bad7",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "open",
"id": "aa033db4-450c-4abb-8bd3-e9b123439e2d",
"kind_id": "a591a125-e5b9-4fd5-8179-17e52cf5ab14",
"operation_scale_id": "891d23f3-5920-493f-b575-0e949611ef99",
"priority_id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "906006ae-7c44-428f-8312-df243294bad7",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Aviation incident",
"id": "a591a125-e5b9-4fd5-8179-17e52cf5ab14"
},
"priority": {
"name": "P2",
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Red",
"background_color": "#FF5E5B",
"text_color": "#000000",
"id": "891d23f3-5920-493f-b575-0e949611ef99"
},
"area": {
"name": "East",
"id": "906006ae-7c44-428f-8312-df243294bad7"
},
"allowed_units": [],
"shared_operation_tenants": []
},
{
"name": "Forest fire",
"updated_at": "2019-08-07T12:47:52.317Z",
"visible": true,
"max_members": 0,
"started_at": "2018-10-13T16:37:00.000Z",
"number_of_coordinates": 2,
"lat": "64 08.000",
"lng": "-21 56.000",
"data": {
"risks_j": [],
"shared_operation_tenants_j": [],
"priority_j": {
"name": "P1",
"created_at": "2018-10-13T16:34:17.517Z",
"updated_at": "2018-10-13T16:34:17.517Z",
"disabled": false,
"rank": 1,
"default": null,
"operation_priority": true,
"task_priority": true,
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"operation_scale_j": {
"name": "Green",
"created_at": "2018-10-13T16:34:17.658Z",
"updated_at": "2018-10-13T16:34:17.658Z",
"disabled": false,
"background_color": "#62c462",
"text_color": "#000000",
"id": "318d00bb-c933-4ecf-9689-63cb4034809c",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"kind_j": {
"name": "Natural disaster",
"disabled": null,
"created_at": "2018-10-13T16:34:17.618Z",
"updated_at": "2018-10-13T16:34:17.618Z",
"id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
"area_j": {
"name": "North",
"created_at": "2018-11-24T13:13:14.202Z",
"updated_at": "2019-08-05T12:11:54.243Z",
"disabled": false,
"json": null,
"description": "",
"lat": "0 02.390",
"lng": "32 26.805",
"zoom": 13,
"has_polygon": false,
"id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
},
"custom_values": {},
"privacy": "open",
"id": "2ef1be22-5855-4b2a-8434-c3ccae5513d0",
"kind_id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d",
"operation_scale_id": "318d00bb-c933-4ecf-9689-63cb4034809c",
"priority_id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area_id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0",
"operation_type_id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"has_password": false,
"kind": {
"name": "Natural disaster",
"id": "f5d78797-8e6e-488c-b5f1-796d9b4c530d"
},
"priority": {
"name": "P1",
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f"
},
"dispatches": [],
"operation_type": {
"id": "816db5bd-a108-4e45-a3a1-48eda91e3f31",
"name": "Dispatch"
},
"operation_scale": {
"name": "Green",
"background_color": "#62c462",
"text_color": "#000000",
"id": "318d00bb-c933-4ecf-9689-63cb4034809c"
},
"area": {
"name": "North",
"id": "09e9f28c-7b25-4b71-8ebf-febdb0d4dac0"
},
"allowed_units": [],
"shared_operation_tenants": []
}
],
"ops_count": 9,
"admin": true,
"manager": true,
"tenant": {
"name": "Demo",
"created_at": "2018-10-13T16:34:17.488Z",
"updated_at": "2019-08-07T13:48:34.485Z",
"domain": "",
"subdomain": "demo",
"tenant_logo": {
"url": null
},
"theme_color": "#ff9300",
"header_title": "SAReye IMS",
"no_access_title": "Looks like you don't have access to this page",
"no_access_body": "Contact your system administrator",
"open_operations": false,
"bitly": {
"bitly_api_key": "",
"bitly_username": ""
},
"abbreviation": "SAReye",
"nexmo_key": "",
"nexmo_secret": "",
"survey_request_body": null,
"send_monthly_reports": null,
"default_phone_number_area_code": "+354",
"id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"default_language_id": "9d626e73-1249-44be-9733-3583683d1ff6",
"tenant_type_id": "ec3d40bb-f7a9-4a7a-a7a3-e4765d32fc3a",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"settings": {
"allow_signup": "1",
"enabled_operation_attributes": [
"{\"i18n_name\"=>\"operation.setup.op_speed\", \"id\"=>\"priority_id\"}",
"{\"i18n_name\"=>\"operation.setup.op_call\", \"id\"=>\"kind_id\"}",
"{\"i18n_name\"=>\"operation.setup.area\", \"id\"=>\"area_id\"}",
"{\"i18n_name\"=>\"operation.setup.scope\", \"id\"=>\"operation_scale_id\"}",
"{\"i18n_name\"=>\"operation.basic_info.basic_info\", \"id\"=>\"info\"}",
"{\"i18n_name\"=>\"operation.basic_info.private_info\", \"id\"=>\"privatetext\"}"
]
},
"tenant_type": {
"name": "SAR",
"short_name": "sar",
"description": null,
"created_at": "2017-10-25T13:07:14.776Z",
"updated_at": "2017-10-25T13:07:14.776Z",
"id": "ec3d40bb-f7a9-4a7a-a7a3-e4765d32fc3a"
},
"custom_fields": []
}
}
Plans
Priorities
Get All Priorities
HTTP Request
GET https://api.sardynamics.com/priorities.json
curl "https://api.sardynamics.com/priorities.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"name": "P1",
"created_at": "2018-10-13T16:34:17.517Z",
"updated_at": "2018-10-13T16:34:17.517Z",
"disabled": false,
"rank": 1,
"default": null,
"operation_priority": true,
"task_priority": true,
"id": "413e41e2-c0eb-4450-a455-826b5ce0dd4f",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
{
"name": "P2",
"created_at": "2018-10-13T16:34:17.524Z",
"updated_at": "2018-10-13T16:34:17.524Z",
"disabled": false,
"rank": 2,
"default": true,
"operation_priority": true,
"task_priority": true,
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
{
"name": "P3",
"created_at": "2018-10-13T16:34:17.539Z",
"updated_at": "2018-10-13T16:34:17.539Z",
"disabled": false,
"rank": 3,
"default": null,
"operation_priority": true,
"task_priority": true,
"id": "117c73fd-dfd0-4b2e-abbc-0a874c1e35b8",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
}
]
Resources
Get All Resources
HTTP Request
GET https://api.sardynamics.com/resources.json
URL Parameters
| Parameter | Format | Description |
|---|---|---|
| last_response_timestamp | ISO8601 | Get all resources updated after the timestamp |
curl "https://api.sardynamics.com/resources.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"last_response_timestamp": "2019-09-12T11:11:39.232+02:00",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"data": [
{
"identifier": "demo",
"name": "Jane Doe",
"created_at": "2018-10-13T16:35:35.460Z",
"updated_at": "2018-11-27T17:41:34.569Z",
"phone_number": "91844161",
"device_info": "{}",
"tetra": "",
"inactive": false,
"id": "441d7391-e14c-4701-bf65-f557dc9593b7",
"email": "info@sareye.com",
"phone_number_area_code": "+45",
"tenant_user_id": "c389fa22-8fa1-4b3d-9c55-ab80f894c120",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "f747ddfa-c6a2-444d-ba9e-f849ea7a5bea",
"deleted": false,
"inactive_unit": false,
"unit": {
"name": "Division",
"disabled": false,
"call_sign": "Div",
"id": "f747ddfa-c6a2-444d-ba9e-f849ea7a5bea",
"area_id": "906006ae-7c44-428f-8312-df243294bad7",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area": {
"name": "East",
"id": "906006ae-7c44-428f-8312-df243294bad7"
}
}
},
{
"identifier": "demo1",
"name": "John Doe",
"created_at": "2018-11-24T13:59:17.553Z",
"updated_at": "2019-08-07T11:29:57.044Z",
"phone_number": "(555) 1234 1234",
"device_info": "{}",
"tetra": "",
"inactive": false,
"id": "ef906f9c-c1d3-4da7-801b-9bd192438962",
"email": "info@sareye.com",
"phone_number_area_code": "+354",
"tenant_user_id": "4245bd51-df24-47d4-b9e5-541add586eec",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"unit_id": "8b8a9aa6-681f-4a98-9c8f-81d3ced87c09",
"deleted": false,
"inactive_unit": false,
"unit": {
"name": "Emergency Headquarters",
"disabled": false,
"call_sign": "HQ",
"id": "8b8a9aa6-681f-4a98-9c8f-81d3ced87c09",
"area_id": "99d9e1d8-7f2a-4643-8982-e64615c314f4",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"area": {
"name": "South",
"id": "99d9e1d8-7f2a-4643-8982-e64615c314f4"
}
}
}
]
}
Risk Templates
Get All Risk Templates
HTTP Request
GET https://api.sardynamics.com/risk_templates.json
curl "https://api.sardynamics.com/risk_templates.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "18ad9477-0639-4931-ba2a-89ba0786da7d",
"name": "Caves",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"deleted": false,
"created_at": "2019-08-07T12:54:10.410Z",
"updated_at": "2019-08-07T12:54:10.410Z",
"risks": [
{
"hazard": "Oxygen deprivation",
"who_might_be_harmed": null,
"risk_factor": 20,
"in_place": null,
"by_when": null,
"new_risk_assessment": 5,
"created_at": "2019-08-07T12:54:10.413Z",
"updated_at": "2019-08-07T12:54:10.444Z",
"action": "Working in caves",
"id": "15dfa3ce-e1f2-4131-a925-64afaab5d935",
"operation_id": null,
"risk_template_id": "18ad9477-0639-4931-ba2a-89ba0786da7d",
"tasks": [
{
"name": "Monitor own symptoms (headache, breathing difficulties)",
"priority": null,
"created_at": "2019-08-07T12:54:10.418Z",
"updated_at": "2019-08-07T12:54:10.418Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": false,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "15ba34b6-b227-4905-827b-36a0a6dc7e78",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": null,
"plan_id": null,
"priority_id": null,
"risk_id": "15dfa3ce-e1f2-4131-a925-64afaab5d935",
"round_id": null,
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": null,
"accepts_groups": false,
"comments_count": 0
},
{
"name": "Monitor symptoms of others (headache, injudiciousness)",
"priority": null,
"created_at": "2019-08-07T12:54:10.429Z",
"updated_at": "2019-08-07T12:54:10.429Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": false,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "34f77509-6850-4d79-b86d-0277ff7cd5af",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": null,
"plan_id": null,
"priority_id": null,
"risk_id": "15dfa3ce-e1f2-4131-a925-64afaab5d935",
"round_id": null,
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": null,
"accepts_groups": false,
"comments_count": 0
},
{
"name": "Monitor CO2 and CO levels and SO2 if relevant",
"priority": null,
"created_at": "2019-08-07T12:54:10.437Z",
"updated_at": "2019-08-07T12:54:10.437Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": false,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "7d76798b-2165-42ad-9fb7-7699350adb33",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": null,
"plan_id": null,
"priority_id": null,
"risk_id": "15dfa3ce-e1f2-4131-a925-64afaab5d935",
"round_id": null,
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": null,
"accepts_groups": false,
"comments_count": 0
}
]
},
{
"hazard": "Loss of communications",
"who_might_be_harmed": null,
"risk_factor": 15,
"in_place": null,
"by_when": null,
"new_risk_assessment": 5,
"created_at": "2019-08-07T12:54:10.444Z",
"updated_at": "2019-08-07T12:54:10.463Z",
"action": "Communication",
"id": "c5983f0b-3a42-4aef-a65c-58898a13f855",
"operation_id": null,
"risk_template_id": "18ad9477-0639-4931-ba2a-89ba0786da7d",
"tasks": [
{
"name": "All units should have communication devices",
"priority": null,
"created_at": "2019-08-07T12:54:10.448Z",
"updated_at": "2019-08-07T12:54:10.448Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": false,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "ce7edf9a-332c-471b-8e0c-b162b1b50b51",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": null,
"plan_id": null,
"priority_id": null,
"risk_id": "c5983f0b-3a42-4aef-a65c-58898a13f855",
"round_id": null,
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": null,
"accepts_groups": false,
"comments_count": 0
},
{
"name": "Ensure communications to Operation Command from cave opening (DMO or TETRA/VHF)",
"priority": null,
"created_at": "2019-08-07T12:54:10.457Z",
"updated_at": "2019-08-07T12:54:10.457Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": false,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "4ccf32eb-3500-4155-8c94-f59f6d01a2d0",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": null,
"plan_id": null,
"priority_id": null,
"risk_id": "c5983f0b-3a42-4aef-a65c-58898a13f855",
"round_id": null,
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": null,
"accepts_groups": false,
"comments_count": 0
}
]
},
{
"hazard": "Collapse hazard",
"who_might_be_harmed": null,
"risk_factor": 20,
"in_place": null,
"by_when": null,
"new_risk_assessment": 10,
"created_at": "2019-08-07T12:54:10.463Z",
"updated_at": "2019-08-07T12:54:10.474Z",
"action": "Working in caves",
"id": "100687b5-fdc7-4330-aa6d-e0f5bbb1010c",
"operation_id": null,
"risk_template_id": "18ad9477-0639-4931-ba2a-89ba0786da7d",
"tasks": [
{
"name": "Choose alternate routes to those where collapse is likely",
"priority": null,
"created_at": "2019-08-07T12:54:10.467Z",
"updated_at": "2019-08-07T12:54:10.467Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": false,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "12409eae-c5f4-41d7-8683-4f27fcb8220a",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": null,
"plan_id": null,
"priority_id": null,
"risk_id": "100687b5-fdc7-4330-aa6d-e0f5bbb1010c",
"round_id": null,
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": null,
"accepts_groups": false,
"comments_count": 0
}
]
}
]
}
]
Risks
Get all risks belonging to a specific operation
HTTP Request
GET https://api.sardynamics.com/:operation_id/risks.json
URL Parameters
| Parameter | Description |
|---|---|
| operation_id | The ID of the operation |
curl "https://api.sardynamics.com/:operation_id/risks.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"hazard": "Collapse hazard",
"who_might_be_harmed": null,
"risk_factor": 20,
"in_place": null,
"by_when": "2019-08-07T23:59:59.999Z",
"new_risk_assessment": 10,
"created_at": "2019-08-07T12:56:40.766Z",
"updated_at": "2019-08-07T12:56:40.777Z",
"action": "Working in caves",
"id": "ce944b42-cc62-4eff-b05c-9e0b18c03dfb",
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"risk_template_id": null,
"tasks": [
{
"name": "Choose alternate routes to those where collapse is likely",
"priority": null,
"created_at": "2019-08-07T12:56:40.768Z",
"updated_at": "2019-08-07T12:56:40.768Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": true,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null,
"user_j": {
"id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"email": "info@sareye.com",
"name": "Jane Doe",
"phone_number": "555 0100"
}
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "337fa0bd-c110-421b-895d-b5393f277351",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"plan_id": null,
"priority_id": null,
"risk_id": "ce944b42-cc62-4eff-b05c-9e0b18c03dfb",
"round_id": "ff4dedab-6e52-40bd-86f9-ee5105333bcc",
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"accepts_groups": false,
"comments_count": 0
}
]
},
{
"hazard": "Loss of communications",
"who_might_be_harmed": null,
"risk_factor": 15,
"in_place": null,
"by_when": "2019-08-07T23:59:59.999Z",
"new_risk_assessment": 5,
"created_at": "2019-08-07T12:56:40.909Z",
"updated_at": "2019-08-07T12:56:41.005Z",
"action": "Communication",
"id": "57ece3a6-ece0-4647-8190-bb364f390a6e",
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"risk_template_id": null,
"tasks": [
{
"name": "All units should have communication devices",
"priority": null,
"created_at": "2019-08-07T12:56:40.912Z",
"updated_at": "2019-08-07T12:56:40.912Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": true,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null,
"user_j": {
"id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"email": "info@sareye.com",
"name": "Jane Doe",
"phone_number": "555 0100"
}
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "9de24693-5dd3-4feb-8745-f74372482060",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"plan_id": null,
"priority_id": null,
"risk_id": "57ece3a6-ece0-4647-8190-bb364f390a6e",
"round_id": "ff4dedab-6e52-40bd-86f9-ee5105333bcc",
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"accepts_groups": false,
"comments_count": 0
},
{
"name": "Ensure communications to Operation Command from cave opening (DMO or TETRA/VHF)",
"priority": null,
"created_at": "2019-08-07T12:56:40.996Z",
"updated_at": "2019-08-07T12:56:40.996Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": true,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null,
"user_j": {
"id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"email": "info@sareye.com",
"name": "Jane Doe",
"phone_number": "555 0100"
}
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "0cfb61e3-d801-4ad3-b26b-cb064b5e4dbe",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"plan_id": null,
"priority_id": null,
"risk_id": "57ece3a6-ece0-4647-8190-bb364f390a6e",
"round_id": "ff4dedab-6e52-40bd-86f9-ee5105333bcc",
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"accepts_groups": false,
"comments_count": 0
}
]
},
{
"hazard": "Oxygen deprivation",
"who_might_be_harmed": null,
"risk_factor": 20,
"in_place": null,
"by_when": "2019-08-07T23:59:59.999Z",
"new_risk_assessment": 5,
"created_at": "2019-08-07T12:56:41.090Z",
"updated_at": "2019-08-07T12:56:41.272Z",
"action": "Working in caves",
"id": "bcad707d-444a-4be5-b901-7d74ae3c02ca",
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"risk_template_id": null,
"tasks": [
{
"name": "Monitor own symptoms (headache, breathing difficulties)",
"priority": null,
"created_at": "2019-08-07T12:56:41.092Z",
"updated_at": "2019-08-07T12:56:41.092Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": true,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null,
"user_j": {
"id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"email": "info@sareye.com",
"name": "Jane Doe",
"phone_number": "555 0100"
}
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "40c6f37b-b804-4429-8aec-ff410b25ea55",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"plan_id": null,
"priority_id": null,
"risk_id": "bcad707d-444a-4be5-b901-7d74ae3c02ca",
"round_id": "ff4dedab-6e52-40bd-86f9-ee5105333bcc",
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"accepts_groups": false,
"comments_count": 0
},
{
"name": "Monitor symptoms of others (headache, injudiciousness)",
"priority": null,
"created_at": "2019-08-07T12:56:41.177Z",
"updated_at": "2019-08-07T12:56:41.177Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": true,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null,
"user_j": {
"id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"email": "info@sareye.com",
"name": "Jane Doe",
"phone_number": "555 0100"
}
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "c771d31a-8e20-4ba9-8160-98c61ee60825",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"plan_id": null,
"priority_id": null,
"risk_id": "bcad707d-444a-4be5-b901-7d74ae3c02ca",
"round_id": "ff4dedab-6e52-40bd-86f9-ee5105333bcc",
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"accepts_groups": false,
"comments_count": 0
},
{
"name": "Monitor CO2 and CO levels and SO2 if relevant",
"priority": null,
"created_at": "2019-08-07T12:56:41.264Z",
"updated_at": "2019-08-07T12:56:41.264Z",
"deleted": false,
"file": null,
"rescuers": null,
"done": false,
"has_groups": false,
"lat": null,
"lng": null,
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": true,
"solved_at": null,
"data": {
"operation_logs_j": [],
"groups_j": [],
"attachments_count": null,
"user_j": {
"id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"email": "info@sareye.com",
"name": "Jane Doe",
"phone_number": "555 0100"
}
},
"due_date": null,
"sst_task": null,
"decimal_lat": null,
"decimal_lng": null,
"custom_values": {},
"id": "f8d266ab-07a8-4293-8c30-67ff141e2ebf",
"creator_resource_id": null,
"creator_tenant_id": null,
"marker_type_id": null,
"operation_id": "bebf1a2c-ecbf-4a56-9632-0a5fdf809f2d",
"plan_id": null,
"priority_id": null,
"risk_id": "bcad707d-444a-4be5-b901-7d74ae3c02ca",
"round_id": "ff4dedab-6e52-40bd-86f9-ee5105333bcc",
"search_area_id": null,
"sst_event_id": null,
"task_priority_id": null,
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"accepts_groups": false,
"comments_count": 0
}
]
}
]
Rounds
Surveys
Tags
Get All Tags
HTTP Request
GET https://api.sardynamics.com/tags.json
URL Parameters
| Parameter | Format | Description |
|---|---|---|
| show_all | Boolean | If true, show deleted tags |
curl "https://api.sardynamics.com/tags.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "f55ca8ce-56b3-48c0-85fb-d8550108e586",
"name": "First Responder",
"shared": null,
"tenant": "SAReye",
"color": "#fffb00"
},
{
"id": "0bc3a6e8-6eb3-5df4-a998-567195c373e5",
"name": "Doctor",
"shared": null,
"tenant": "SAReye",
"color": "#fffb00"
}
]
Tasks
Getting a list of all Tasks
HTTP Request
GET https://api.sardynamics.com/tasks.json
Available Parameters
| Key | Type | Description |
|---|---|---|
| operation_id | Integer | Optional filter by operation |
| include_attachments | Boolean | Return attachments in the response |
| include_operation_lite | Boolean | Include operation name and id in the response |
| include_groups | Boolean | Return groups in the response |
| include_comments | Boolean | Return comments in the response |
| last_response_timestamp | DateTime | Only fetch tasks updated/created after the given timestamp |
| hide_finished_tasks | Boolean | Do not return finished tasks |
curl "https://api.sardynamics.com/tasks.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"data": [
{
"name": "Search Camping areas near PLS",
"priority": {
"name": "P2",
"created_at": "2018-10-13T16:34:17.524Z",
"updated_at": "2018-10-13T16:34:17.524Z",
"disabled": false,
"rank": 2,
"default": true,
"operation_priority": true,
"task_priority": true,
"id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"fill_in_text": null
},
"created_at": "2018-11-24T18:49:33.908Z",
"updated_at": "2018-11-27T17:52:44.608Z",
"deleted": false,
"file": null,
"rescuers": 0,
"done": false,
"has_groups": false,
"lat": "64 07.907",
"lng": "-21 54.215",
"pointtype": null,
"address": null,
"reminder": null,
"solved": 0,
"point_type": null,
"mobile": false,
"end_time": null,
"log_time": null,
"is_control_measure": false,
"solved_at": null,
"data": {
"operation_logs_j": [],
"user_j": {
"id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"email": "info@sareye.com",
"name": "Jane Doe",
"phone_number": "555 0100"
},
"groups_j": [],
"attachments_count": null,
"search_area_j": {
"name": "117",
"searched": false,
"created_at": "2018-11-24T18:49:33.992Z",
"updated_at": "2018-11-24T18:49:33.992Z",
"deleted": false,
"area_size": "0.5148",
"json": {
"type": "polygon",
"center": {
"lat": 64.131782706677,
"lng": -21.90358400344849
},
"geoJSON": {
"type": "Feature",
"geometry": {
"type": "Polygon",
"coordinates": [
{
"lat": 64.12665056872358,
"lng": -21.8873405456543
},
{
"lat": 64.13079045015536,
"lng": -21.88382148742676
},
{
"lat": 64.13313173896098,
"lng": -21.89811229705811
},
{
"lat": 64.13498589968151,
"lng": -21.9104290008545
},
{
"lat": 64.13691484463044,
"lng": -21.92334651947022
}
]
},
"properties": {}
},
"area_size": "0.5148",
"center_parsed": {
"lat": "64 07.907",
"lng": "-21 54.215"
},
"polyline_length": "4.6140"
},
"id": "14aa684e-3ffd-47f9-9c41-30163815522a",
"operation_id": "79d077ef-9eed-49d4-8001-75c36bbea675",
"task_id": "58d7035a-c4be-446c-a8ae-86cd9a38e0a1"
},
"device": "true"
},
"due_date": null,
"sst_task": null,
"decimal_lat": "64.131783333",
"decimal_lng": "-21.903583333",
"custom_values": {},
"id": "58d7035a-c4be-446c-a8ae-86cd9a38e0a1",
"creator_resource_id": null,
"creator_tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06",
"marker_type_id": null,
"operation_id": "79d077ef-9eed-49d4-8001-75c36bbea675",
"plan_id": null,
"priority_id": "1437d403-f22b-44b5-875d-f58aa9020ad5",
"risk_id": null,
"round_id": "50921b2e-bfe3-4804-add9-601ade7a6c72",
"search_area_id": "14aa684e-3ffd-47f9-9c41-30163815522a",
"sst_event_id": null,
"task_priority_id": null,
"user_id": "738d3640-3fbd-4a5e-aaeb-a085625af812",
"accepts_groups": true,
"comments_count": 0,
"tags": [],
"operation_logs": []
}
],
"operation_id": null,
"last_response_timestamp": "2019-09-12T16:23:56.128+02:00",
"tasks_count": 126
}
Trackers
Get All Trackers
HTTP Request
GET https://api.sardynamics.com/trackers.json
curl "https://api.sardynamics.com/trackers.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"location": {
"speed": "-1",
"heading": "-1",
"accuracy": "65",
"altitude": "3.4865448474884033",
"latitude": "55.67768226454645",
"longitude": "12.569639968728195",
"timestamp": "1566571691612.3691",
"altitudeAccuracy": "10"
},
"created_at": "2019-08-23T14:48:22.138Z",
"updated_at": "2019-08-23T14:48:22.138Z",
"tenant_id": "44a577f8-85b4-4f9f-8ad2-3cb86b983509",
"user_id": "8f43a355-17cc-5c69-a60c-69d8ef0b5fa5",
"id": "b251aa59-b948-41a0-9f89-d46aba4aa872"
}
]
Triage Location Types
Get All Triage Location Types
HTTP Request
GET https://api.sardynamics.com/triage_location_types.json
curl "https://api.sardynamics.com/triage_location_types.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "a82d55b5-44fd-40a7-a713-2ebe2c40c315",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Accident Site",
"rank": 1,
"deleted": false,
"created_at": "2019-01-07T17:05:08.577Z",
"updated_at": "2019-01-07T17:05:08.577Z"
},
{
"id": "9f79dece-fe6c-49f5-898c-e52ee15fd294",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Treatment Area",
"rank": 2,
"deleted": false,
"created_at": "2019-01-07T17:05:08.579Z",
"updated_at": "2019-01-07T17:05:08.579Z"
},
{
"id": "c4c8d083-9581-4636-be1f-49288b0bea3a",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Transport",
"rank": 3,
"deleted": false,
"created_at": "2019-01-07T17:05:08.585Z",
"updated_at": "2019-01-07T17:05:08.585Z"
},
{
"id": "7d22cb6f-e0f6-4166-9a05-65528a1b6bc5",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Mass Aid Center",
"rank": 4,
"deleted": false,
"created_at": "2019-01-07T17:05:08.587Z",
"updated_at": "2019-01-07T17:05:08.587Z"
},
{
"id": "79b3f01d-f34b-4524-b9fb-85ea3c2071fd",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Hospital",
"rank": 5,
"deleted": false,
"created_at": "2019-01-07T17:05:08.589Z",
"updated_at": "2019-01-07T17:05:08.589Z"
}
]
Triage Status Types
Get All Triage Status Types
HTTP Request
GET https://api.sardynamics.com/triage_status_types.json
curl "https://api.sardynamics.com/triage_status_types.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
[
{
"id": "9623c4d4-71c9-4eda-9daa-5a74b706bb29",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Red",
"color": "#ff2600",
"rank": 1,
"deleted": false,
"created_at": "2019-01-07T17:05:08.568Z",
"updated_at": "2019-01-07T17:05:08.568Z"
},
{
"id": "7ae14d1c-cc00-4c9b-b8f1-cc802afd8863",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Yellow",
"color": "#fffb00",
"rank": 2,
"deleted": false,
"created_at": "2019-01-07T17:05:08.571Z",
"updated_at": "2019-01-07T17:05:08.571Z"
},
{
"id": "8e5d58b8-6568-466e-92cb-f6f1ae605ae5",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Green",
"color": "#5cb85c",
"rank": 3,
"deleted": false,
"created_at": "2019-01-07T17:05:08.573Z",
"updated_at": "2019-01-07T17:05:08.573Z"
},
{
"id": "9a0bd94f-b47b-4704-98cd-470500f17ceb",
"shareable_triages_group_id": "9114ee94-926e-441a-85b2-f3b717321229",
"name": "Black",
"color": "#000000",
"rank": 4,
"deleted": false,
"created_at": "2019-01-07T17:05:08.575Z",
"updated_at": "2019-01-07T17:05:08.575Z"
}
]
Triages
Units
Get All Units
HTTP Request
GET https://api.sardynamics.com/units.json
curl "https://api.sardynamics.com/units.json"
-H "Authorization: abbe0983-7b75-53df-bc32-009b79d2c61e"
The response to this request is a JSON object structured like this:
{
"units": [
{
"name": "Division",
"created_at": "2018-10-13T16:34:17.592Z",
"updated_at": "2019-08-07T11:31:13.021Z",
"disabled": false,
"call_sign": "Div",
"logo": {
"url": null,
"thumb": {
"url": null
},
"tiny": {
"url": null
},
"tiny_square": {
"url": null
}
},
"id": "f747ddfa-c6a2-444d-ba9e-f849ea7a5bea",
"area_id": "906006ae-7c44-428f-8312-df243294bad7",
"category_id": null,
"resource_id": "441d7391-e14c-4701-bf65-f557dc9593b7",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
},
{
"name": "Emergency Headquarters",
"created_at": "2018-10-13T16:34:17.584Z",
"updated_at": "2019-08-07T11:31:27.584Z",
"disabled": false,
"call_sign": "HQ",
"logo": {
"url": null,
"thumb": {
"url": null
},
"tiny": {
"url": null
},
"tiny_square": {
"url": null
}
},
"id": "8b8a9aa6-681f-4a98-9c8f-81d3ced87c09",
"area_id": "99d9e1d8-7f2a-4643-8982-e64615c314f4",
"category_id": null,
"resource_id": "ef906f9c-c1d3-4da7-801b-9bd192438962",
"tenant_id": "196a0475-6cd1-4f30-b061-caf3e8649c06"
}
]
}
Users
Errors
The SAReye API uses the following error codes:
| Error Code | Meaning |
|---|---|
| 400 | Bad Request -- Your request is invalid. |
| 401 | Unauthorised -- Your API key is wrong. |
| 404 | Not Found -- The specified item could not be found. |
| 500 | Internal Server Error -- We had a problem with our server. Try again later. |
| 503 | Service Unavailable -- We're temporarily offline for maintenance. Please try again later. |